Bug 169355 - [PATCH] lang/erlang: OPTIONSng'ify, fix CLANG build, use standard KNOBS for ODBC
[PATCH] lang/erlang: OPTIONSng'ify, fix CLANG build, use standard KNOBS for ODBC
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jimmy Olgeni
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 17:40 UTC by koobs.freebsd
Modified: 2012-07-01 17:10 UTC (History)
1 user (show)

See Also:


Attachments
erlang-r14b04_3,1.patch (4.94 KB, patch)
2012-06-23 17:40 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2012-06-23 17:40:06 UTC
- OPTIONSng'ify (keeping existing defaults the same)
- Add more OPTIONS
- Add USE_CSTD=gnu98 (fixes CLANG build)
- Remove MAKE_JOBS_UNSAFE
- Use standard ODBC, UNIXODB and IODBC knobs in optional OPTIONS_SINGLE group (Can resolve ports/167023)
- Pet portlint (variable ORDER)

Port maintainer (olgeni@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 10:29:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->olgeni

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-07-01 17:00:35 UTC
olgeni      2012-07-01 16:00:01 UTC

  FreeBSD ports repository

  Modified files:
    lang/erlang          Makefile 
  Log:
  - Convert to OptionsNG and add HIPE, KQUEUE, OPENSSL, SCTP, THREADS
  - Add USE_CSTD=gnu98 (fixes CLANG build)
  - Remove MAKE_JOBS_UNSAFE
  - Use standard ODBC, UNIXODB and IODBC knobs in optional OPTIONS_SINGLE group
  - Pet portlint
  
  PR:             ports/169355
  Submitted by:   koobs <koobs.freebsd@gmail.com>
  
  Revision  Changes    Path
  1.172     +73 -27    ports/lang/erlang/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2012-07-01 17:01:09 UTC
olgeni      2012-07-01 16:00:59 UTC

  FreeBSD ports repository

  Modified files:
    lang/erlang14        Makefile 
  Log:
  - Convert to OptionsNG and add HIPE, KQUEUE, OPENSSL, SCTP, THREADS
  - Add USE_CSTD=gnu98 (fixes CLANG build)
  - Remove MAKE_JOBS_UNSAFE
  - Use standard ODBC, UNIXODB and IODBC knobs in optional OPTIONS_SINGLE group
  - Pet portlint
  
  PR:             ports/169355
  Submitted by:   koobs <koobs.freebsd@gmail.com>
  
  Revision  Changes    Path
  1.173     +73 -27    ports/lang/erlang14/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jimmy Olgeni freebsd_committer 2012-07-01 17:01:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!